Commit 29688676 authored by Bart Ribbers's avatar Bart Ribbers Committed by Leo
Browse files

testing/libktorrent: upgrade to 2.1.1

parent 0b8e29b1
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libktorrent
pkgver=2.1
_ktorrentver=5.1
pkgver=2.1.1
_ktorrentver=5.1.2
pkgrel=0
arch="all"
url="https://kde.org/applications/internet/org.kde.ktorrent"
pkgdesc="A powerful BitTorrent client for KDE"
license="GPL-2.0-or-later"
depends_dev="qt5-qtbase-dev karchive-dev kcrash-dev ki18n-dev kio-dev solid-dev boost-dev gmp-dev qca-dev"
makedepends="$depends_dev extra-cmake-modules"
makedepends="$depends_dev extra-cmake-modules doxygen graphviz"
checkdepends="xvfb-run"
source="https://download.kde.org/stable/ktorrent/$_ktorrentver/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
build() {
cmake \
......@@ -20,6 +20,7 @@ build() {
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_INSTALL_LIBDIR=lib
make
make docs
}
check() {
......@@ -29,6 +30,9 @@ check() {
package() {
DESTDIR="$pkgdir" make install
mkdir -p "$pkgdir"/usr/share/doc
mv apidocs/html "$pkgdir"/usr/share/doc/HTML
}
sha512sums="28d7a4b8ee45ddcbadb3ca9d6e568120803081b0ecd3e9436ed721860717b98538c522653ea47975123f0819548d0cabe1973baffed887fcbbca11d84ea5ebe4 libktorrent-2.1.tar.xz"
sha512sums="5c7f0218193cae148b03ae86a886b89d08a46200755728468ef271a6201add88eca617898d486d1823699def282d0251e26e3b28d2642f45cab966c286127d37 libktorrent-2.1.1.tar.xz"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment